Debian Bug report logs - #592133
ITP: curlpp -- C++ wrapper for libcurl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Goedson Teixeira Paixao <goedson@debian.org>

Date: Sat, 7 Aug 2010 18:06:02 UTC

Owned by: Ximin Luo <infinity0@gmx.com>

Severity: wishlist

Fixed in version curlpp/0.7.3-1

Done: Ximin Luo <infinity0@gmx.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Goedson Teixeira Paixao <goedson@debian.org>:
Bug#592133; Package wnpp. (Sat, 07 Aug 2010 18:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goedson Teixeira Paixao <goedson@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Goedson Teixeira Paixao <goedson@debian.org>. (Sat, 07 Aug 2010 18:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixao <goedson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: curlpp -- C++ wrapper for libcurl
Date: Sat, 07 Aug 2010 18:04:29 +0000
Package: wnpp
Severity: wishlist
Owner: Goedson   Teixeira Paixao <goedson@debian.org>


* Package name    : curlpp
  Version         : 0.7.3
  Upstream Author : Jean-Philippe Barrette-LaPierre <jpb@rrette.com>
* URL             : http://www.curlpp.org/
* License         : MIT
  Programming Lang: C++
  Description     : C++ wrapper for libcurl
  libcurl is a solid, usable, reliable and portable multi-protocol
  file transfer library writen in C.
  .
  Curlpp is a simple C++ wrapper around libcurl, providing the
  robustness of libcurl in an objected oriented API suitable
  for integration in C++ programs.


-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Goedson Teixeira Paixao <goedson@debian.org>:
Bug#592133; Package wnpp. (Sat, 19 Feb 2011 17:49:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Goedson Teixeira Paixao <goedson@debian.org>. (Sat, 19 Feb 2011 17:49:42 GMT) Full text and rfc822 format available.

Message #10 received at 592133@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 592133@bugs.debian.org
Cc: control@bugs.debian.org
Subject: curlpp: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:25 +0000
retitle 592133 RFP: curlpp -- C++ wrapper for libcurl
noowner 592133
thanks

Hi,

This is an automatic email to change the status of curlpp back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting curlpp, please send a mail to
<control@bugs.debian.org> with:

 retitle 592133 ITP: curlpp -- C++ wrapper for libcurl
 owner 592133 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <592133@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: curlpp -- C++ wrapper for libcurl' from 'ITP: curlpp -- C++ wrapper for libcurl' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:54:58 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Goedson Teixeira Paixao <goedson@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:54:59 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: curlpp -- C++ wrapper for libcurl' from 'RFP: curlpp -- C++ wrapper for libcurl' Request was from Goedson Teixeira Paix�o <goedson@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 11:36:05 GMT) Full text and rfc822 format available.

Owner recorded as Goedson Teixeira Paix�o <goedson@debian.org>. Request was from Goedson Teixeira Paix�o <goedson@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 11:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592133; Package wnpp. (Thu, 17 Mar 2011 02:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goedson Teixeira Paix�o <goedson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Mar 2011 02:42:02 GMT) Full text and rfc822 format available.

Message #23 received at 592133@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixão <goedson@debian.org>
To: 592133@bugs.debian.org
Subject: Initial packaging available in alioth
Date: Thu, 17 Mar 2011 02:39:36 +0000
Current packaging work done for this bug is already available at
git://git.debian.org/users/goedson/pkg-curlpp.git 






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Goedson Teixeira Paix�o <goedson@debian.org>:
Bug#592133; Package wnpp. (Mon, 27 May 2013 13:34:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Goedson Teixeira Paix�o <goedson@debian.org>. (Mon, 27 May 2013 13:34:51 GMT) Full text and rfc822 format available.

Message #28 received at 592133@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 592133@bugs.debian.org
Cc: control@bugs.debian.org
Subject: curlpp: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:18 +0200
retitle 592133 RFP: curlpp -- C++ wrapper for libcurl
noowner 592133
tag 592133 - pending
thanks

Hi,

This is an automatic email to change the status of curlpp back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting curlpp, please send a mail to
<control@bugs.debian.org> with:

 retitle 592133 ITP: curlpp -- C++ wrapper for libcurl
 owner 592133 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <592133@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: curlpp -- C++ wrapper for libcurl' from 'ITP: curlpp -- C++ wrapper for libcurl' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:52:25 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Goedson Teixeira Paix�o <goedson@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:52:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#592133; Package wnpp. (Thu, 05 Sep 2013 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 05 Sep 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #37 received at 592133@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Debian Bug Tracking System <592133@bugs.debian.org>
Subject: Re: RFP: curlpp -- C++ wrapper for libcurl
Date: Thu, 05 Sep 2013 17:37:00 +0100
Package: wnpp
Followup-For: Bug #592133
Owner: Ximin Luo <infinity0@gmx.com>

Hey, any progress on this?

If you don't have time to work on it, I do - in which case please tell me the
preferred place to host the git repo - e.g. alioth, debian, etc.

Thanks,
Ximin



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592133; Package wnpp. (Tue, 10 Sep 2013 12:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Sep 2013 12:03:05 GMT) Full text and rfc822 format available.

Message #42 received at 592133@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Debian Bug Tracking System <592133@bugs.debian.org>, goedson@debian.org
Subject: Re: RFP: curlpp -- C++ wrapper for libcurl
Date: Tue, 10 Sep 2013 13:00:52 +0100
[Message part 1 (text/plain, inline)]
+goedson

I keep forgetting the bugs email addresses aren't subscription mailing lists.

On 05/09/13 17:37, Ximin Luo wrote:
> Package: wnpp
> Followup-For: Bug #592133
> Owner: Ximin Luo <infinity0@gmx.com>
> 
> Hey, any progress on this?
> 
> If you don't have time to work on it, I do - in which case please tell me the
> preferred place to host the git repo - e.g. alioth, debian, etc.
> 
> Thanks,
> Ximin
> 


-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592133; Package wnpp. (Tue, 17 Sep 2013 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 17 Sep 2013 17:48:04 GMT) Full text and rfc822 format available.

Message #47 received at 592133@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: control@bugs.debian.org
Cc: Debian Bug Tracking System <592133@bugs.debian.org>, goedson@debian.org
Subject: Re: RFP: curlpp -- C++ wrapper for libcurl
Date: Tue, 17 Sep 2013 18:44:47 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

retitle 592133 ITP: curlpp -- C++ wrapper for libcurl                                             
owner 592133 !
thanks

Hello, 

I have updated the packaging here: http://anonscm.debian.org/gitweb/?p=users/infinity0-guest/curlpp.git

And uploaded to mentors here: https://mentors.debian.net/package/curlpp

I would appreciate a sponsor!

X

On 10/09/13 13:00, Ximin Luo wrote:
> +goedson
> 
> I keep forgetting the bugs email addresses aren't subscription mailing lists.
> 
> On 05/09/13 17:37, Ximin Luo wrote:
>> Package: wnpp
>> Followup-For: Bug #592133
>> Owner: Ximin Luo <infinity0@gmx.com>
>>
>> Hey, any progress on this?
>>
>> If you don't have time to work on it, I do - in which case please tell me the
>> preferred place to host the git repo - e.g. alioth, debian, etc.
>>
>> Thanks,
>> Ximin
>>
> 
> 


- -- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Icedove - http://www.enigmail.net/

iQIcBAEBCAAGBQJSOJUOAAoJEIYN7zuPZQt52poP/3MiV5PodcTxqppRH39GAFoY
Rz5iWXVfvdH7QsbGiKXKqhaihTgfY4hUH799/nt2S0xePmu8HWLOyTSo8U4I7JRq
+WwtYbnps1PI18eA9vUjhKYq5fLWZjwTOGu1dV3lmvPXWHH8I2pe0w9rikyjwoCx
vB54VMzAOe58U4hmOGDQiP1cystFOiM0la9LKgdFcM3QNAGfTQbfyu6NFmgWVq81
Hh3xaRAfjGEc8mfKa63uM7WlHBVYt7/KfWB1Ij4hfoGYlKrrHIC1vFGO5TE+B9Qn
5bKGF9WhoSkQgWZlYw4ORksQnwunfPmGkwSWGW2pfk+MbtDkp9yDLmSPXrGdVPec
Vccpw1y+N2QUHDp4WOzNBSBi1aJGWQfr3Pwj81ZDI73nPqSuWg3/TRba6z9cXH6h
nnFfzZb+6xxN4uZvNAbamp/ouD1R8zG8ENqPhVEJM6qAjpNRMHa5Lu1Kut0HH9CR
RoO2Xdl/lQ4IOhLhntdraNKbt617wM2tpAPRek5ppEqM/q8SF0CKh/SqWWP68B03
rOfvyTGfWyTL5m/4/5D20WEFCJVt9dT8bolXPObO4Sr9m+gypb01WObnM+l67h2+
4x1yPxhvRS1ehb+duL3qaeRgCY+X9BzhH5MX37emZTXMWooEgSz3CAA3FG7lU/JZ
imJSvSOcjcQFuvdsntPu
=ASeM
-----END PGP SIGNATURE-----



Changed Bug title to 'ITP: curlpp -- C++ wrapper for libcurl' from 'RFP: curlpp -- C++ wrapper for libcurl' Request was from Ximin Luo <infinity0@gmx.com> to control@bugs.debian.org. (Tue, 17 Sep 2013 17:48:07 GMT) Full text and rfc822 format available.

Owner recorded as Ximin Luo <infinity0@gmx.com>. Request was from Ximin Luo <infinity0@gmx.com> to control@bugs.debian.org. (Tue, 17 Sep 2013 17:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ximin Luo <infinity0@gmx.com>:
Bug#592133; Package wnpp. (Wed, 18 Sep 2013 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ximin Luo <infinity0@gmx.com>. (Wed, 18 Sep 2013 12:27:04 GMT) Full text and rfc822 format available.

Message #56 received at 592133@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: <592133@bugs.debian.org>
Cc: Ximin Luo <infinity0@gmx.com>, Goedson Teixeira Paixao <goedson@debian.org>
Subject: Re: RFP: curlpp -- C++ wrapper for libcurl
Date: Wed, 18 Sep 2013 14:24:54 +0200
Hi Ximin,

Thanks for your work on curlpp! This is just what we need so I can sponsor
your upload.

All in all the packaging looks good to me. Good work!

Some small comments you may want to address before I upload:
- The package description misses full stops (".") behind the sentences,
and spells "shared" wrong.

- All 4 files you install via "debian/docs" should probably not be
installed. NEWS is empty, INSTALL contains instructions for building the
package (not needed in a Debian package that's already built), README
contains things that can also be found elsewhere in the package. CHANGES
should be installed but as /usr/share/doc/*/changelog.gz instead of the
placeholderfile that's there now.

- In debian/patches/, both patches should probably have a header
"Forwarded: http://code.google.com/p/curlpp/issues/detail?id=25".

- File src/curlpp/autolink.h seems to have a different copyright holder
than the rest of the code. This should be listed in debian/copyright.

If this is fixed, I think I can sponsor your package.


Cheers,
Thijs

-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592133; Package wnpp. (Wed, 18 Sep 2013 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ximin Luo <infinity0@gmx.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 18 Sep 2013 18:51:05 GMT) Full text and rfc822 format available.

Message #61 received at 592133@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: Thijs Kinkhorst <thijs@uvt.nl>, 592133@bugs.debian.org
Cc: Goedson Teixeira Paixao <goedson@debian.org>
Subject: Re: Bug#592133: RFP: curlpp -- C++ wrapper for libcurl
Date: Wed, 18 Sep 2013 19:50:01 +0100
[Message part 1 (text/plain, inline)]
On 18/09/13 13:24, Thijs Kinkhorst wrote:
> Hi Ximin,
> 
> Thanks for your work on curlpp! This is just what we need so I can sponsor
> your upload.
> 
> All in all the packaging looks good to me. Good work!

Thank you!

> Some small comments you may want to address before I upload:
> - The package description misses full stops (".") behind the sentences,
> and spells "shared" wrong.

Done.

> - All 4 files you install via "debian/docs" should probably not be
> installed. NEWS is empty, INSTALL contains instructions for building the
> package (not needed in a Debian package that's already built), README
> contains things that can also be found elsewhere in the package. CHANGES
> should be installed but as /usr/share/doc/*/changelog.gz instead of the
> placeholderfile that's there now.

Done, mostly. I decided to keep the README since it does contain some non-redundant info, it seems weird not to have one even if it's short, and lots of other packages have short READMEs that one could argue are redundant - see /usr/share/doc/*/README. I hope this is OK. I've also used the --link-doc option of dh_installdocs to link libcurlpp-dev's docs to libcurlpp0 to avoid repetition.

> - In debian/patches/, both patches should probably have a header
> "Forwarded: http://code.google.com/p/curlpp/issues/detail?id=25".

DEP-3 http://dep.debian.net/deps/dep3/ says in regards to Forwarded:

"If the field is missing, its implicit value is "yes" if the "Bug" field is present, otherwise it's "no". The field is really required only if the patch is vendor specific, in that case its value should be "not-needed" to indicate that the patch must not be forwarded upstream (whereas "no" simply means that it has not yet been done).

for fix-include-config, the field is "not-needed" since it is vendor-specific (the patch breaks the install for windows users), and for include-dynamic-headers we can omit the field because the Bug field is already present.

> - File src/curlpp/autolink.h seems to have a different copyright holder
> than the rest of the code. This should be listed in debian/copyright.

Done - I've gone and updated debian/copyright to the DEP-5 format too.

> If this is fixed, I think I can sponsor your package.

Uploaded new version to mentors, at the previous address:

http://mentors.debian.net/debian/pool/main/c/curlpp/curlpp_0.7.3-1.dsc

X

-- 
GPG: 4096R/1318EFAC5FBBDBCE
git://github.com/infinity0/pubkeys.git

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ximin Luo <infinity0@gmx.com>:
Bug#592133; Package wnpp. (Thu, 19 Sep 2013 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thijs Kinkhorst <thijs@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ximin Luo <infinity0@gmx.com>. (Thu, 19 Sep 2013 07:12:04 GMT) Full text and rfc822 format available.

Message #66 received at 592133@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@uvt.nl>
To: Ximin Luo <infinity0@gmx.com>
Cc: 592133@bugs.debian.org, Goedson Teixeira Paixao <goedson@debian.org>
Subject: Re: Bug#592133: RFP: curlpp -- C++ wrapper for libcurl
Date: Thu, 19 Sep 2013 09:10:07 +0200
[Message part 1 (text/plain, inline)]
Op woensdag 18 september 2013 20:50:01 schreef Ximin Luo:
> > - All 4 files you install via "debian/docs" should probably not be
> > installed. NEWS is empty, INSTALL contains instructions for building the
> > package (not needed in a Debian package that's already built), README
> > contains things that can also be found elsewhere in the package. CHANGES
> > should be installed but as /usr/share/doc/*/changelog.gz instead of the
> > placeholderfile that's there now.
> 
> Done, mostly. I decided to keep the README since it does contain some
> non-redundant info, it seems weird not to have one even if it's short, and
> lots of other packages have short READMEs that one could argue are
> redundant - see /usr/share/doc/*/README. I hope this is OK. I've also used
> the --link-doc option of dh_installdocs to link libcurlpp-dev's docs to
> libcurlpp0 to avoid repetition.

Thanks. I would indeed argue that most of those READMEs are indeed redundant 
and should be dropped, but it's not a big deal.

> > - In debian/patches/, both patches should probably have a header
> > "Forwarded: http://code.google.com/p/curlpp/issues/detail?id=25".
> 
> DEP-3 http://dep.debian.net/deps/dep3/ says in regards to Forwarded:
> 
> "If the field is missing, its implicit value is "yes" if the "Bug" field is
> present, otherwise it's "no". The field is really required only if the
> patch is vendor specific, in that case its value should be "not-needed" to
> indicate that the patch must not be forwarded upstream (whereas "no"
> simply means that it has not yet been done).
> 
> for fix-include-config, the field is "not-needed" since it is
> vendor-specific (the patch breaks the install for windows users), and for
> include-dynamic-headers we can omit the field because the Bug field is
> already present.

OK, good.

> > If this is fixed, I think I can sponsor your package.
> 
> Uploaded new version to mentors, at the previous address:
> 
> http://mentors.debian.net/debian/pool/main/c/curlpp/curlpp_0.7.3-1.dsc

Alright, uploaded. Let me know if there are updates you want sponsored. Thanks 
for your work so far.


-- 
Thijs Kinkhorst <thijs@uvt.nl> – LIS Unix

Universiteit van Tilburg – Library and IT Services • Postbus 90153, 5000 LE
Bezoekadres > Warandelaan 2 • Tel. 013 466 3035 • G 236 • http://www.uvt.nl
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 19 Sep 2013 08:12:15 GMT) Full text and rfc822 format available.

Reply sent to Ximin Luo <infinity0@gmx.com>:
You have taken responsibility. (Sat, 21 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Notification sent to Goedson Teixeira Paixao <goedson@debian.org>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Message #73 received at 592133-close@bugs.debian.org (full text, mbox):

From: Ximin Luo <infinity0@gmx.com>
To: 592133-close@bugs.debian.org
Subject: Bug#592133: fixed in curlpp 0.7.3-1
Date: Sat, 21 Sep 2013 04:00:19 +0000
Source: curlpp
Source-Version: 0.7.3-1

We believe that the bug you reported is fixed in the latest version of
curlpp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592133@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ximin Luo <infinity0@gmx.com> (supplier of updated curlpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Sep 2013 19:03:56 +0100
Source: curlpp
Binary: libcurlpp0 libcurlpp-dev
Architecture: source amd64
Version: 0.7.3-1
Distribution: unstable
Urgency: low
Maintainer: Ximin Luo <infinity0@gmx.com>
Changed-By: Ximin Luo <infinity0@gmx.com>
Description: 
 libcurlpp-dev - c++ wrapper for libcurl (development files)
 libcurlpp0 - c++ wrapper for libcurl
Closes: 592133
Changes: 
 curlpp (0.7.3-1) unstable; urgency=low
 .
   [ Goedson Teixeira Paixao ]
   * Fix Makefile.in to include config.h
 .
   [ Ximin Luo ]
   * Patch global.h so users don't need to define HAVE_CONFIG_H
   * Initial release (Closes: #592133)
Checksums-Sha1: 
 84333333748ff40e1e43430300a0413f5c0bb05d 1601 curlpp_0.7.3-1.dsc
 f3c09b29917a055523a84a6fe2c30f7eb04da6b0 493966 curlpp_0.7.3.orig.tar.gz
 ab6607bad4101de9acdb0189c3f0b038cae4f31e 3082 curlpp_0.7.3-1.debian.tar.gz
 f9087ff686f4bf49c1bf21af2461b98ea5ad9e05 59500 libcurlpp0_0.7.3-1_amd64.deb
 2c19152cf961bfcd9f050a9ff0df633f8211ccaa 89370 libcurlpp-dev_0.7.3-1_amd64.deb
Checksums-Sha256: 
 616b8dfb27672309ad008ab868ef887ff291f13fb6005e5100267761f91f83d9 1601 curlpp_0.7.3-1.dsc
 e3f9427b27c5bddf898d383d45c0d3d5397e2056ff935d9a5cdaef6a9a653bd5 493966 curlpp_0.7.3.orig.tar.gz
 9ab22fee30d85d01004532dfa477eaa5c34a1a04563c86f9da685eff00855e6a 3082 curlpp_0.7.3-1.debian.tar.gz
 cbf11f3a6d934e21e3b038ef8e8064548e9b161aefb458ebeba6fddc65b222bb 59500 libcurlpp0_0.7.3-1_amd64.deb
 ad4faa2ce243d08bed9aef330a0cf27c42a6c2c097c96f3bb91e66be82653b7d 89370 libcurlpp-dev_0.7.3-1_amd64.deb
Files: 
 08173a4e82bc7a6291d869bbb1892e4e 1601 libs extra curlpp_0.7.3-1.dsc
 ccc3d30d4b3b5d2cdbed635898c29485 493966 libs extra curlpp_0.7.3.orig.tar.gz
 f52b8aeb0e12f0cebace415a8cb34d84 3082 libs extra curlpp_0.7.3-1.debian.tar.gz
 f0731a906ee72c654853f47fa58bb11d 59500 libs extra libcurlpp0_0.7.3-1_amd64.deb
 81e33a688117793f00bd21feabee8670 89370 libdevel extra libcurlpp-dev_0.7.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBAgAGBQJSOqMoAAoJEFb2GnlAHawEyN0H/1G7/n6aB+mCeVeYoVfSNZKJ
W8tGSQvQQU6766b/n/bPeiPE5iMXy+IYj4TvxgVW1dfUjVmeDI3PzOhe/kVl41KD
/nWrDVgrpCjd/1J1Bf3WCgYdrM7yskONbozxqhU8ejKjdc/qZNTukfyUoJ6AU34w
KUIDB++r6M8ekPflIN0EyIzQ8AknwwxdM0gswMSydLWkSVtXeUkogYTT2vA02luf
WG/GNMdy4aMm/fdoJNVluBczUDicVFwSRjGXN2PIOXHh2RPzD33TlCrH/Xtz5too
dnEi4ExWQRQzz30rQuPxH8bW688qnL4mwAzfpKIlERXdC6dsX+FY3/5lORTSIAQ=
=sO4d
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:29:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:55:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.